ResourceServer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.resources
Interface ResourceServer

All Known Implementing Classes:
  EventManager, EventManager, HBackgroundDevice, HEmulatedGraphicsDevice, HGraphicsDevice, HScreenDevice, HVideoDevice, MultiScreenManager, NetworkInterfaceManager, RCInterfaceManager, SectionFilterGroup, VBIFilterGroup

    public interface ResourceServer

The resource server interface is implemented by objects which manage low level scarce resources and inform applications of changes in their status which may have happened due to factors beyond the control of the application. Any application wishing to use a resource controlled by an object implementing the ResourceServer interface must request access to that resource via an object implementing the ResourceProxy interface, and should release the resource via the same object when exclusive access to the resource is no longer needed.

Method Summary
`void` | `addResourceStatusEventListener(ResourceStatusListener listener)` This method informs a resource server that a particular object should be informed of changes in the state of the resources managed by that server.
`void` | `removeResourceStatusEventListener(ResourceStatusListener listener)` This method informs a resource server that a particular object is no longer interested in being informed about changes in state of resources managed by that server.

Method Detail

### addResourceStatusEventListener

    void addResourceStatusEventListener(ResourceStatusListener listener)

  This method informs a resource server that a particular object should be informed of changes in the state of the resources managed by that server.

  Parameters:
    `listener` - the object to be informed of state changes

### removeResourceStatusEventListener

    void removeResourceStatusEventListener(ResourceStatusListener listener)

  This method informs a resource server that a particular object is no longer interested in being informed about changes in state of resources managed by that server. If the object had not registered it's interest initially then this method has no effect.

  Parameters:
    `listener` - the object which is no longer interested

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD